---
layout: layouts/base.njk
section: home
title: Home
description: Dev snippets.
date: 2019-12-02
permalink: /index.html
navtitle: /
tags:
- nav
---

<% collections.postsLatest.forEach(post => { %>


<% let firstTag;
    let tagsHTML = '';

     %>
<% for (const tag of post.data.tags) { %>

<% if (tag != "posts") { %>
<% if (typeof firstTag == 'undefined') {
       firstTag = tag; } %>
<% 
    tagsHTML += `
    <div class="control">
      <div class="tags has-addons devicon">
        <a href="/tags/${tag}" data-swup-preload class="tag">
          ${tag}
        </a>
        <div class="tag ${tag} tag-icon is-light"></div>
      </div>
    </div>`; 
%>
<% }} %>


<section class="hero <%= firstTag %>">
  <div class="hero-body has-text-centered">
    <div class="home container content">
      <h1><a href="<%- post.url %>" data-swup-preload><%- post.data.title %></a>
      </h1>
      <div class="subtitle field is-grouped is-grouped-multiline taglist">
        <%- tagsHTML %>
      </div>
    </div>
  </div>
</section>
<div class="content container home">


  <div class="post-summary ">

    <article class="media">

      <div class="media-content is-white notification">

        <div class="post-preview">
          <%- post.templateContent %>

        </div>
        <div class="read-more">
          <a href="<%- post.url %>" class="button is-link"
             data-swup-preload>this.readMore();</a>
        </div>
      </div>

    </article>

  </div>
</div>
<% }) %>